IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network172.26.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
- Network address
172.26.0.0- Broadcast address
172.27.255.255- First usable
172.26.0.1- Last usable
172.27.255.254- Usable hosts
- 131,070 (131,072 less the network and broadcast addresses)
- Subnet mask
255.254.0.0- Wildcard mask
0.1.255.255(Cisco ACLs, OSPF)- Prefix length
- /15
- Type
- Private (RFC 1918) 172.16.0.0/12
Office and home networks; not routed on the internet - Old class
- B (default /16)
- As numbers
- Hex
AC1A0000· Integer2887385088to2887516159 - Reverse DNS zones
26.172.in-addr.arpa27.172.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 10101100.00011010.00000000.00000000 | 172.26.0.0 |
| Subnet mask | 11111111.11111110.00000000.00000000 | 255.254.0.0 |
| Network | 10101100.00011010.00000000.00000000 | 172.26.0.0 |
| Broadcast | 10101100.00011011.11111111.11111111 | 172.27.255.255 |
Split into smaller subnets
/16 (2)/17 (4)/18 (8)/19 (16)/20 (32)/21 (64)/22 (128)/23 (256)/24 (512)/25 (1,024)/26 (2,048)/27 (4,096)
172.26.0.0/15 makes 256 subnets of /23.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 172.26.0.0/23 | 172.26.0.1 to 172.26.1.254 | 172.26.1.255 | 510 |
| 2 | 172.26.2.0/23 | 172.26.2.1 to 172.26.3.254 | 172.26.3.255 | 510 |
| 3 | 172.26.4.0/23 | 172.26.4.1 to 172.26.5.254 | 172.26.5.255 | 510 |
| 4 | 172.26.6.0/23 | 172.26.6.1 to 172.26.7.254 | 172.26.7.255 | 510 |
| 5 | 172.26.8.0/23 | 172.26.8.1 to 172.26.9.254 | 172.26.9.255 | 510 |
| 6 | 172.26.10.0/23 | 172.26.10.1 to 172.26.11.254 | 172.26.11.255 | 510 |
| 7 | 172.26.12.0/23 | 172.26.12.1 to 172.26.13.254 | 172.26.13.255 | 510 |
| 8 | 172.26.14.0/23 | 172.26.14.1 to 172.26.15.254 | 172.26.15.255 | 510 |
| 9 | 172.26.16.0/23 | 172.26.16.1 to 172.26.17.254 | 172.26.17.255 | 510 |
| 10 | 172.26.18.0/23 | 172.26.18.1 to 172.26.19.254 | 172.26.19.255 | 510 |
| 11 | 172.26.20.0/23 | 172.26.20.1 to 172.26.21.254 | 172.26.21.255 | 510 |
| 12 | 172.26.22.0/23 | 172.26.22.1 to 172.26.23.254 | 172.26.23.255 | 510 |
| 13 | 172.26.24.0/23 | 172.26.24.1 to 172.26.25.254 | 172.26.25.255 | 510 |
| 14 | 172.26.26.0/23 | 172.26.26.1 to 172.26.27.254 | 172.26.27.255 | 510 |
| 15 | 172.26.28.0/23 | 172.26.28.1 to 172.26.29.254 | 172.26.29.255 | 510 |
| 16 | 172.26.30.0/23 | 172.26.30.1 to 172.26.31.254 | 172.26.31.255 | 510 |
| 17 | 172.26.32.0/23 | 172.26.32.1 to 172.26.33.254 | 172.26.33.255 | 510 |
| 18 | 172.26.34.0/23 | 172.26.34.1 to 172.26.35.254 | 172.26.35.255 | 510 |
| 19 | 172.26.36.0/23 | 172.26.36.1 to 172.26.37.254 | 172.26.37.255 | 510 |
| 20 | 172.26.38.0/23 | 172.26.38.1 to 172.26.39.254 | 172.26.39.255 | 510 |
| 21 | 172.26.40.0/23 | 172.26.40.1 to 172.26.41.254 | 172.26.41.255 | 510 |
| 22 | 172.26.42.0/23 | 172.26.42.1 to 172.26.43.254 | 172.26.43.255 | 510 |
| 23 | 172.26.44.0/23 | 172.26.44.1 to 172.26.45.254 | 172.26.45.255 | 510 |
| 24 | 172.26.46.0/23 | 172.26.46.1 to 172.26.47.254 | 172.26.47.255 | 510 |
| 25 | 172.26.48.0/23 | 172.26.48.1 to 172.26.49.254 | 172.26.49.255 | 510 |
| 26 | 172.26.50.0/23 | 172.26.50.1 to 172.26.51.254 | 172.26.51.255 | 510 |
| 27 | 172.26.52.0/23 | 172.26.52.1 to 172.26.53.254 | 172.26.53.255 | 510 |
| 28 | 172.26.54.0/23 | 172.26.54.1 to 172.26.55.254 | 172.26.55.255 | 510 |
| 29 | 172.26.56.0/23 | 172.26.56.1 to 172.26.57.254 | 172.26.57.255 | 510 |
| 30 | 172.26.58.0/23 | 172.26.58.1 to 172.26.59.254 | 172.26.59.255 | 510 |
| 31 | 172.26.60.0/23 | 172.26.60.1 to 172.26.61.254 | 172.26.61.255 | 510 |
| 32 | 172.26.62.0/23 | 172.26.62.1 to 172.26.63.254 | 172.26.63.255 | 510 |
| 33 | 172.26.64.0/23 | 172.26.64.1 to 172.26.65.254 | 172.26.65.255 | 510 |
| 34 | 172.26.66.0/23 | 172.26.66.1 to 172.26.67.254 | 172.26.67.255 | 510 |
| 35 | 172.26.68.0/23 | 172.26.68.1 to 172.26.69.254 | 172.26.69.255 | 510 |
| 36 | 172.26.70.0/23 | 172.26.70.1 to 172.26.71.254 | 172.26.71.255 | 510 |
| 37 | 172.26.72.0/23 | 172.26.72.1 to 172.26.73.254 | 172.26.73.255 | 510 |
| 38 | 172.26.74.0/23 | 172.26.74.1 to 172.26.75.254 | 172.26.75.255 | 510 |
| 39 | 172.26.76.0/23 | 172.26.76.1 to 172.26.77.254 | 172.26.77.255 | 510 |
| 40 | 172.26.78.0/23 | 172.26.78.1 to 172.26.79.254 | 172.26.79.255 | 510 |
| 41 | 172.26.80.0/23 | 172.26.80.1 to 172.26.81.254 | 172.26.81.255 | 510 |
| 42 | 172.26.82.0/23 | 172.26.82.1 to 172.26.83.254 | 172.26.83.255 | 510 |
| 43 | 172.26.84.0/23 | 172.26.84.1 to 172.26.85.254 | 172.26.85.255 | 510 |
| 44 | 172.26.86.0/23 | 172.26.86.1 to 172.26.87.254 | 172.26.87.255 | 510 |
| 45 | 172.26.88.0/23 | 172.26.88.1 to 172.26.89.254 | 172.26.89.255 | 510 |
| 46 | 172.26.90.0/23 | 172.26.90.1 to 172.26.91.254 | 172.26.91.255 | 510 |
| 47 | 172.26.92.0/23 | 172.26.92.1 to 172.26.93.254 | 172.26.93.255 | 510 |
| 48 | 172.26.94.0/23 | 172.26.94.1 to 172.26.95.254 | 172.26.95.255 | 510 |
| 49 | 172.26.96.0/23 | 172.26.96.1 to 172.26.97.254 | 172.26.97.255 | 510 |
| 50 | 172.26.98.0/23 | 172.26.98.1 to 172.26.99.254 | 172.26.99.255 | 510 |
| 51 | 172.26.100.0/23 | 172.26.100.1 to 172.26.101.254 | 172.26.101.255 | 510 |
| 52 | 172.26.102.0/23 | 172.26.102.1 to 172.26.103.254 | 172.26.103.255 | 510 |
| 53 | 172.26.104.0/23 | 172.26.104.1 to 172.26.105.254 | 172.26.105.255 | 510 |
| 54 | 172.26.106.0/23 | 172.26.106.1 to 172.26.107.254 | 172.26.107.255 | 510 |
| 55 | 172.26.108.0/23 | 172.26.108.1 to 172.26.109.254 | 172.26.109.255 | 510 |
| 56 | 172.26.110.0/23 | 172.26.110.1 to 172.26.111.254 | 172.26.111.255 | 510 |
| 57 | 172.26.112.0/23 | 172.26.112.1 to 172.26.113.254 | 172.26.113.255 | 510 |
| 58 | 172.26.114.0/23 | 172.26.114.1 to 172.26.115.254 | 172.26.115.255 | 510 |
| 59 | 172.26.116.0/23 | 172.26.116.1 to 172.26.117.254 | 172.26.117.255 | 510 |
| 60 | 172.26.118.0/23 | 172.26.118.1 to 172.26.119.254 | 172.26.119.255 | 510 |
| 61 | 172.26.120.0/23 | 172.26.120.1 to 172.26.121.254 | 172.26.121.255 | 510 |
| 62 | 172.26.122.0/23 | 172.26.122.1 to 172.26.123.254 | 172.26.123.255 | 510 |
| 63 | 172.26.124.0/23 | 172.26.124.1 to 172.26.125.254 | 172.26.125.255 | 510 |
| 64 | 172.26.126.0/23 | 172.26.126.1 to 172.26.127.254 | 172.26.127.255 | 510 |
| 65 | 172.26.128.0/23 | 172.26.128.1 to 172.26.129.254 | 172.26.129.255 | 510 |
| 66 | 172.26.130.0/23 | 172.26.130.1 to 172.26.131.254 | 172.26.131.255 | 510 |
| 67 | 172.26.132.0/23 | 172.26.132.1 to 172.26.133.254 | 172.26.133.255 | 510 |
| 68 | 172.26.134.0/23 | 172.26.134.1 to 172.26.135.254 | 172.26.135.255 | 510 |
| 69 | 172.26.136.0/23 | 172.26.136.1 to 172.26.137.254 | 172.26.137.255 | 510 |
| 70 | 172.26.138.0/23 | 172.26.138.1 to 172.26.139.254 | 172.26.139.255 | 510 |
| 71 | 172.26.140.0/23 | 172.26.140.1 to 172.26.141.254 | 172.26.141.255 | 510 |
| 72 | 172.26.142.0/23 | 172.26.142.1 to 172.26.143.254 | 172.26.143.255 | 510 |
| 73 | 172.26.144.0/23 | 172.26.144.1 to 172.26.145.254 | 172.26.145.255 | 510 |
| 74 | 172.26.146.0/23 | 172.26.146.1 to 172.26.147.254 | 172.26.147.255 | 510 |
| 75 | 172.26.148.0/23 | 172.26.148.1 to 172.26.149.254 | 172.26.149.255 | 510 |
| 76 | 172.26.150.0/23 | 172.26.150.1 to 172.26.151.254 | 172.26.151.255 | 510 |
| 77 | 172.26.152.0/23 | 172.26.152.1 to 172.26.153.254 | 172.26.153.255 | 510 |
| 78 | 172.26.154.0/23 | 172.26.154.1 to 172.26.155.254 | 172.26.155.255 | 510 |
| 79 | 172.26.156.0/23 | 172.26.156.1 to 172.26.157.254 | 172.26.157.255 | 510 |
| 80 | 172.26.158.0/23 | 172.26.158.1 to 172.26.159.254 | 172.26.159.255 | 510 |
| 81 | 172.26.160.0/23 | 172.26.160.1 to 172.26.161.254 | 172.26.161.255 | 510 |
| 82 | 172.26.162.0/23 | 172.26.162.1 to 172.26.163.254 | 172.26.163.255 | 510 |
| 83 | 172.26.164.0/23 | 172.26.164.1 to 172.26.165.254 | 172.26.165.255 | 510 |
| 84 | 172.26.166.0/23 | 172.26.166.1 to 172.26.167.254 | 172.26.167.255 | 510 |
| 85 | 172.26.168.0/23 | 172.26.168.1 to 172.26.169.254 | 172.26.169.255 | 510 |
| 86 | 172.26.170.0/23 | 172.26.170.1 to 172.26.171.254 | 172.26.171.255 | 510 |
| 87 | 172.26.172.0/23 | 172.26.172.1 to 172.26.173.254 | 172.26.173.255 | 510 |
| 88 | 172.26.174.0/23 | 172.26.174.1 to 172.26.175.254 | 172.26.175.255 | 510 |
| 89 | 172.26.176.0/23 | 172.26.176.1 to 172.26.177.254 | 172.26.177.255 | 510 |
| 90 | 172.26.178.0/23 | 172.26.178.1 to 172.26.179.254 | 172.26.179.255 | 510 |
| 91 | 172.26.180.0/23 | 172.26.180.1 to 172.26.181.254 | 172.26.181.255 | 510 |
| 92 | 172.26.182.0/23 | 172.26.182.1 to 172.26.183.254 | 172.26.183.255 | 510 |
| 93 | 172.26.184.0/23 | 172.26.184.1 to 172.26.185.254 | 172.26.185.255 | 510 |
| 94 | 172.26.186.0/23 | 172.26.186.1 to 172.26.187.254 | 172.26.187.255 | 510 |
| 95 | 172.26.188.0/23 | 172.26.188.1 to 172.26.189.254 | 172.26.189.255 | 510 |
| 96 | 172.26.190.0/23 | 172.26.190.1 to 172.26.191.254 | 172.26.191.255 | 510 |
| 97 | 172.26.192.0/23 | 172.26.192.1 to 172.26.193.254 | 172.26.193.255 | 510 |
| 98 | 172.26.194.0/23 | 172.26.194.1 to 172.26.195.254 | 172.26.195.255 | 510 |
| 99 | 172.26.196.0/23 | 172.26.196.1 to 172.26.197.254 | 172.26.197.255 | 510 |
| 100 | 172.26.198.0/23 | 172.26.198.1 to 172.26.199.254 | 172.26.199.255 | 510 |
| 101 | 172.26.200.0/23 | 172.26.200.1 to 172.26.201.254 | 172.26.201.255 | 510 |
| 102 | 172.26.202.0/23 | 172.26.202.1 to 172.26.203.254 | 172.26.203.255 | 510 |
| 103 | 172.26.204.0/23 | 172.26.204.1 to 172.26.205.254 | 172.26.205.255 | 510 |
| 104 | 172.26.206.0/23 | 172.26.206.1 to 172.26.207.254 | 172.26.207.255 | 510 |
| 105 | 172.26.208.0/23 | 172.26.208.1 to 172.26.209.254 | 172.26.209.255 | 510 |
| 106 | 172.26.210.0/23 | 172.26.210.1 to 172.26.211.254 | 172.26.211.255 | 510 |
| 107 | 172.26.212.0/23 | 172.26.212.1 to 172.26.213.254 | 172.26.213.255 | 510 |
| 108 | 172.26.214.0/23 | 172.26.214.1 to 172.26.215.254 | 172.26.215.255 | 510 |
| 109 | 172.26.216.0/23 | 172.26.216.1 to 172.26.217.254 | 172.26.217.255 | 510 |
| 110 | 172.26.218.0/23 | 172.26.218.1 to 172.26.219.254 | 172.26.219.255 | 510 |
| 111 | 172.26.220.0/23 | 172.26.220.1 to 172.26.221.254 | 172.26.221.255 | 510 |
| 112 | 172.26.222.0/23 | 172.26.222.1 to 172.26.223.254 | 172.26.223.255 | 510 |
| 113 | 172.26.224.0/23 | 172.26.224.1 to 172.26.225.254 | 172.26.225.255 | 510 |
| 114 | 172.26.226.0/23 | 172.26.226.1 to 172.26.227.254 | 172.26.227.255 | 510 |
| 115 | 172.26.228.0/23 | 172.26.228.1 to 172.26.229.254 | 172.26.229.255 | 510 |
| 116 | 172.26.230.0/23 | 172.26.230.1 to 172.26.231.254 | 172.26.231.255 | 510 |
| 117 | 172.26.232.0/23 | 172.26.232.1 to 172.26.233.254 | 172.26.233.255 | 510 |
| 118 | 172.26.234.0/23 | 172.26.234.1 to 172.26.235.254 | 172.26.235.255 | 510 |
| 119 | 172.26.236.0/23 | 172.26.236.1 to 172.26.237.254 | 172.26.237.255 | 510 |
| 120 | 172.26.238.0/23 | 172.26.238.1 to 172.26.239.254 | 172.26.239.255 | 510 |
| 121 | 172.26.240.0/23 | 172.26.240.1 to 172.26.241.254 | 172.26.241.255 | 510 |
| 122 | 172.26.242.0/23 | 172.26.242.1 to 172.26.243.254 | 172.26.243.255 | 510 |
| 123 | 172.26.244.0/23 | 172.26.244.1 to 172.26.245.254 | 172.26.245.255 | 510 |
| 124 | 172.26.246.0/23 | 172.26.246.1 to 172.26.247.254 | 172.26.247.255 | 510 |
| 125 | 172.26.248.0/23 | 172.26.248.1 to 172.26.249.254 | 172.26.249.255 | 510 |
| 126 | 172.26.250.0/23 | 172.26.250.1 to 172.26.251.254 | 172.26.251.255 | 510 |
| 127 | 172.26.252.0/23 | 172.26.252.1 to 172.26.253.254 | 172.26.253.255 | 510 |
| 128 | 172.26.254.0/23 | 172.26.254.1 to 172.26.255.254 | 172.26.255.255 | 510 |
| 129 | 172.27.0.0/23 | 172.27.0.1 to 172.27.1.254 | 172.27.1.255 | 510 |
| 130 | 172.27.2.0/23 | 172.27.2.1 to 172.27.3.254 | 172.27.3.255 | 510 |
| 131 | 172.27.4.0/23 | 172.27.4.1 to 172.27.5.254 | 172.27.5.255 | 510 |
| 132 | 172.27.6.0/23 | 172.27.6.1 to 172.27.7.254 | 172.27.7.255 | 510 |
| 133 | 172.27.8.0/23 | 172.27.8.1 to 172.27.9.254 | 172.27.9.255 | 510 |
| 134 | 172.27.10.0/23 | 172.27.10.1 to 172.27.11.254 | 172.27.11.255 | 510 |
| 135 | 172.27.12.0/23 | 172.27.12.1 to 172.27.13.254 | 172.27.13.255 | 510 |
| 136 | 172.27.14.0/23 | 172.27.14.1 to 172.27.15.254 | 172.27.15.255 | 510 |
| 137 | 172.27.16.0/23 | 172.27.16.1 to 172.27.17.254 | 172.27.17.255 | 510 |
| 138 | 172.27.18.0/23 | 172.27.18.1 to 172.27.19.254 | 172.27.19.255 | 510 |
| 139 | 172.27.20.0/23 | 172.27.20.1 to 172.27.21.254 | 172.27.21.255 | 510 |
| 140 | 172.27.22.0/23 | 172.27.22.1 to 172.27.23.254 | 172.27.23.255 | 510 |
| 141 | 172.27.24.0/23 | 172.27.24.1 to 172.27.25.254 | 172.27.25.255 | 510 |
| 142 | 172.27.26.0/23 | 172.27.26.1 to 172.27.27.254 | 172.27.27.255 | 510 |
| 143 | 172.27.28.0/23 | 172.27.28.1 to 172.27.29.254 | 172.27.29.255 | 510 |
| 144 | 172.27.30.0/23 | 172.27.30.1 to 172.27.31.254 | 172.27.31.255 | 510 |
| 145 | 172.27.32.0/23 | 172.27.32.1 to 172.27.33.254 | 172.27.33.255 | 510 |
| 146 | 172.27.34.0/23 | 172.27.34.1 to 172.27.35.254 | 172.27.35.255 | 510 |
| 147 | 172.27.36.0/23 | 172.27.36.1 to 172.27.37.254 | 172.27.37.255 | 510 |
| 148 | 172.27.38.0/23 | 172.27.38.1 to 172.27.39.254 | 172.27.39.255 | 510 |
| 149 | 172.27.40.0/23 | 172.27.40.1 to 172.27.41.254 | 172.27.41.255 | 510 |
| 150 | 172.27.42.0/23 | 172.27.42.1 to 172.27.43.254 | 172.27.43.255 | 510 |
| 151 | 172.27.44.0/23 | 172.27.44.1 to 172.27.45.254 | 172.27.45.255 | 510 |
| 152 | 172.27.46.0/23 | 172.27.46.1 to 172.27.47.254 | 172.27.47.255 | 510 |
| 153 | 172.27.48.0/23 | 172.27.48.1 to 172.27.49.254 | 172.27.49.255 | 510 |
| 154 | 172.27.50.0/23 | 172.27.50.1 to 172.27.51.254 | 172.27.51.255 | 510 |
| 155 | 172.27.52.0/23 | 172.27.52.1 to 172.27.53.254 | 172.27.53.255 | 510 |
| 156 | 172.27.54.0/23 | 172.27.54.1 to 172.27.55.254 | 172.27.55.255 | 510 |
| 157 | 172.27.56.0/23 | 172.27.56.1 to 172.27.57.254 | 172.27.57.255 | 510 |
| 158 | 172.27.58.0/23 | 172.27.58.1 to 172.27.59.254 | 172.27.59.255 | 510 |
| 159 | 172.27.60.0/23 | 172.27.60.1 to 172.27.61.254 | 172.27.61.255 | 510 |
| 160 | 172.27.62.0/23 | 172.27.62.1 to 172.27.63.254 | 172.27.63.255 | 510 |
| 161 | 172.27.64.0/23 | 172.27.64.1 to 172.27.65.254 | 172.27.65.255 | 510 |
| 162 | 172.27.66.0/23 | 172.27.66.1 to 172.27.67.254 | 172.27.67.255 | 510 |
| 163 | 172.27.68.0/23 | 172.27.68.1 to 172.27.69.254 | 172.27.69.255 | 510 |
| 164 | 172.27.70.0/23 | 172.27.70.1 to 172.27.71.254 | 172.27.71.255 | 510 |
| 165 | 172.27.72.0/23 | 172.27.72.1 to 172.27.73.254 | 172.27.73.255 | 510 |
| 166 | 172.27.74.0/23 | 172.27.74.1 to 172.27.75.254 | 172.27.75.255 | 510 |
| 167 | 172.27.76.0/23 | 172.27.76.1 to 172.27.77.254 | 172.27.77.255 | 510 |
| 168 | 172.27.78.0/23 | 172.27.78.1 to 172.27.79.254 | 172.27.79.255 | 510 |
| 169 | 172.27.80.0/23 | 172.27.80.1 to 172.27.81.254 | 172.27.81.255 | 510 |
| 170 | 172.27.82.0/23 | 172.27.82.1 to 172.27.83.254 | 172.27.83.255 | 510 |
| 171 | 172.27.84.0/23 | 172.27.84.1 to 172.27.85.254 | 172.27.85.255 | 510 |
| 172 | 172.27.86.0/23 | 172.27.86.1 to 172.27.87.254 | 172.27.87.255 | 510 |
| 173 | 172.27.88.0/23 | 172.27.88.1 to 172.27.89.254 | 172.27.89.255 | 510 |
| 174 | 172.27.90.0/23 | 172.27.90.1 to 172.27.91.254 | 172.27.91.255 | 510 |
| 175 | 172.27.92.0/23 | 172.27.92.1 to 172.27.93.254 | 172.27.93.255 | 510 |
| 176 | 172.27.94.0/23 | 172.27.94.1 to 172.27.95.254 | 172.27.95.255 | 510 |
| 177 | 172.27.96.0/23 | 172.27.96.1 to 172.27.97.254 | 172.27.97.255 | 510 |
| 178 | 172.27.98.0/23 | 172.27.98.1 to 172.27.99.254 | 172.27.99.255 | 510 |
| 179 | 172.27.100.0/23 | 172.27.100.1 to 172.27.101.254 | 172.27.101.255 | 510 |
| 180 | 172.27.102.0/23 | 172.27.102.1 to 172.27.103.254 | 172.27.103.255 | 510 |
| 181 | 172.27.104.0/23 | 172.27.104.1 to 172.27.105.254 | 172.27.105.255 | 510 |
| 182 | 172.27.106.0/23 | 172.27.106.1 to 172.27.107.254 | 172.27.107.255 | 510 |
| 183 | 172.27.108.0/23 | 172.27.108.1 to 172.27.109.254 | 172.27.109.255 | 510 |
| 184 | 172.27.110.0/23 | 172.27.110.1 to 172.27.111.254 | 172.27.111.255 | 510 |
| 185 | 172.27.112.0/23 | 172.27.112.1 to 172.27.113.254 | 172.27.113.255 | 510 |
| 186 | 172.27.114.0/23 | 172.27.114.1 to 172.27.115.254 | 172.27.115.255 | 510 |
| 187 | 172.27.116.0/23 | 172.27.116.1 to 172.27.117.254 | 172.27.117.255 | 510 |
| 188 | 172.27.118.0/23 | 172.27.118.1 to 172.27.119.254 | 172.27.119.255 | 510 |
| 189 | 172.27.120.0/23 | 172.27.120.1 to 172.27.121.254 | 172.27.121.255 | 510 |
| 190 | 172.27.122.0/23 | 172.27.122.1 to 172.27.123.254 | 172.27.123.255 | 510 |
| 191 | 172.27.124.0/23 | 172.27.124.1 to 172.27.125.254 | 172.27.125.255 | 510 |
| 192 | 172.27.126.0/23 | 172.27.126.1 to 172.27.127.254 | 172.27.127.255 | 510 |
| 193 | 172.27.128.0/23 | 172.27.128.1 to 172.27.129.254 | 172.27.129.255 | 510 |
| 194 | 172.27.130.0/23 | 172.27.130.1 to 172.27.131.254 | 172.27.131.255 | 510 |
| 195 | 172.27.132.0/23 | 172.27.132.1 to 172.27.133.254 | 172.27.133.255 | 510 |
| 196 | 172.27.134.0/23 | 172.27.134.1 to 172.27.135.254 | 172.27.135.255 | 510 |
| 197 | 172.27.136.0/23 | 172.27.136.1 to 172.27.137.254 | 172.27.137.255 | 510 |
| 198 | 172.27.138.0/23 | 172.27.138.1 to 172.27.139.254 | 172.27.139.255 | 510 |
| 199 | 172.27.140.0/23 | 172.27.140.1 to 172.27.141.254 | 172.27.141.255 | 510 |
| 200 | 172.27.142.0/23 | 172.27.142.1 to 172.27.143.254 | 172.27.143.255 | 510 |
| 201 | 172.27.144.0/23 | 172.27.144.1 to 172.27.145.254 | 172.27.145.255 | 510 |
| 202 | 172.27.146.0/23 | 172.27.146.1 to 172.27.147.254 | 172.27.147.255 | 510 |
| 203 | 172.27.148.0/23 | 172.27.148.1 to 172.27.149.254 | 172.27.149.255 | 510 |
| 204 | 172.27.150.0/23 | 172.27.150.1 to 172.27.151.254 | 172.27.151.255 | 510 |
| 205 | 172.27.152.0/23 | 172.27.152.1 to 172.27.153.254 | 172.27.153.255 | 510 |
| 206 | 172.27.154.0/23 | 172.27.154.1 to 172.27.155.254 | 172.27.155.255 | 510 |
| 207 | 172.27.156.0/23 | 172.27.156.1 to 172.27.157.254 | 172.27.157.255 | 510 |
| 208 | 172.27.158.0/23 | 172.27.158.1 to 172.27.159.254 | 172.27.159.255 | 510 |
| 209 | 172.27.160.0/23 | 172.27.160.1 to 172.27.161.254 | 172.27.161.255 | 510 |
| 210 | 172.27.162.0/23 | 172.27.162.1 to 172.27.163.254 | 172.27.163.255 | 510 |
| 211 | 172.27.164.0/23 | 172.27.164.1 to 172.27.165.254 | 172.27.165.255 | 510 |
| 212 | 172.27.166.0/23 | 172.27.166.1 to 172.27.167.254 | 172.27.167.255 | 510 |
| 213 | 172.27.168.0/23 | 172.27.168.1 to 172.27.169.254 | 172.27.169.255 | 510 |
| 214 | 172.27.170.0/23 | 172.27.170.1 to 172.27.171.254 | 172.27.171.255 | 510 |
| 215 | 172.27.172.0/23 | 172.27.172.1 to 172.27.173.254 | 172.27.173.255 | 510 |
| 216 | 172.27.174.0/23 | 172.27.174.1 to 172.27.175.254 | 172.27.175.255 | 510 |
| 217 | 172.27.176.0/23 | 172.27.176.1 to 172.27.177.254 | 172.27.177.255 | 510 |
| 218 | 172.27.178.0/23 | 172.27.178.1 to 172.27.179.254 | 172.27.179.255 | 510 |
| 219 | 172.27.180.0/23 | 172.27.180.1 to 172.27.181.254 | 172.27.181.255 | 510 |
| 220 | 172.27.182.0/23 | 172.27.182.1 to 172.27.183.254 | 172.27.183.255 | 510 |
| 221 | 172.27.184.0/23 | 172.27.184.1 to 172.27.185.254 | 172.27.185.255 | 510 |
| 222 | 172.27.186.0/23 | 172.27.186.1 to 172.27.187.254 | 172.27.187.255 | 510 |
| 223 | 172.27.188.0/23 | 172.27.188.1 to 172.27.189.254 | 172.27.189.255 | 510 |
| 224 | 172.27.190.0/23 | 172.27.190.1 to 172.27.191.254 | 172.27.191.255 | 510 |
| 225 | 172.27.192.0/23 | 172.27.192.1 to 172.27.193.254 | 172.27.193.255 | 510 |
| 226 | 172.27.194.0/23 | 172.27.194.1 to 172.27.195.254 | 172.27.195.255 | 510 |
| 227 | 172.27.196.0/23 | 172.27.196.1 to 172.27.197.254 | 172.27.197.255 | 510 |
| 228 | 172.27.198.0/23 | 172.27.198.1 to 172.27.199.254 | 172.27.199.255 | 510 |
| 229 | 172.27.200.0/23 | 172.27.200.1 to 172.27.201.254 | 172.27.201.255 | 510 |
| 230 | 172.27.202.0/23 | 172.27.202.1 to 172.27.203.254 | 172.27.203.255 | 510 |
| 231 | 172.27.204.0/23 | 172.27.204.1 to 172.27.205.254 | 172.27.205.255 | 510 |
| 232 | 172.27.206.0/23 | 172.27.206.1 to 172.27.207.254 | 172.27.207.255 | 510 |
| 233 | 172.27.208.0/23 | 172.27.208.1 to 172.27.209.254 | 172.27.209.255 | 510 |
| 234 | 172.27.210.0/23 | 172.27.210.1 to 172.27.211.254 | 172.27.211.255 | 510 |
| 235 | 172.27.212.0/23 | 172.27.212.1 to 172.27.213.254 | 172.27.213.255 | 510 |
| 236 | 172.27.214.0/23 | 172.27.214.1 to 172.27.215.254 | 172.27.215.255 | 510 |
| 237 | 172.27.216.0/23 | 172.27.216.1 to 172.27.217.254 | 172.27.217.255 | 510 |
| 238 | 172.27.218.0/23 | 172.27.218.1 to 172.27.219.254 | 172.27.219.255 | 510 |
| 239 | 172.27.220.0/23 | 172.27.220.1 to 172.27.221.254 | 172.27.221.255 | 510 |
| 240 | 172.27.222.0/23 | 172.27.222.1 to 172.27.223.254 | 172.27.223.255 | 510 |
| 241 | 172.27.224.0/23 | 172.27.224.1 to 172.27.225.254 | 172.27.225.255 | 510 |
| 242 | 172.27.226.0/23 | 172.27.226.1 to 172.27.227.254 | 172.27.227.255 | 510 |
| 243 | 172.27.228.0/23 | 172.27.228.1 to 172.27.229.254 | 172.27.229.255 | 510 |
| 244 | 172.27.230.0/23 | 172.27.230.1 to 172.27.231.254 | 172.27.231.255 | 510 |
| 245 | 172.27.232.0/23 | 172.27.232.1 to 172.27.233.254 | 172.27.233.255 | 510 |
| 246 | 172.27.234.0/23 | 172.27.234.1 to 172.27.235.254 | 172.27.235.255 | 510 |
| 247 | 172.27.236.0/23 | 172.27.236.1 to 172.27.237.254 | 172.27.237.255 | 510 |
| 248 | 172.27.238.0/23 | 172.27.238.1 to 172.27.239.254 | 172.27.239.255 | 510 |
| 249 | 172.27.240.0/23 | 172.27.240.1 to 172.27.241.254 | 172.27.241.255 | 510 |
| 250 | 172.27.242.0/23 | 172.27.242.1 to 172.27.243.254 | 172.27.243.255 | 510 |
| 251 | 172.27.244.0/23 | 172.27.244.1 to 172.27.245.254 | 172.27.245.255 | 510 |
| 252 | 172.27.246.0/23 | 172.27.246.1 to 172.27.247.254 | 172.27.247.255 | 510 |
| 253 | 172.27.248.0/23 | 172.27.248.1 to 172.27.249.254 | 172.27.249.255 | 510 |
| 254 | 172.27.250.0/23 | 172.27.250.1 to 172.27.251.254 | 172.27.251.255 | 510 |
| 255 | 172.27.252.0/23 | 172.27.252.1 to 172.27.253.254 | 172.27.253.255 | 510 |
| 256 | 172.27.254.0/23 | 172.27.254.1 to 172.27.255.254 | 172.27.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |